Package org.apache.lucene.facet.taxonomy

## Class TaxonomyFacets

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets

- Direct Known Subclasses:
    `FloatTaxonomyFacets`, `IntTaxonomyFacets`

      @Deprecated
      public abstract class TaxonomyFacets
      extends Facets

  Deprecated.
  Visibility of this class will be reduced to pkg-private in a future version. This class is meant to host common code as an internal implementation detail to taxonomy faceting,and is not intended as an extension point for user-created `Facets` implementations. If your code is relying on this, please migrate necessary functionality down into your own class.
  Base class for all taxonomy-based facets impls.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FacetsConfig` | `config` | Deprecated. `FacetsConfig` provided to the constructor.
    `protected String` | `indexFieldName` | Deprecated. Index field name provided to the constructor.
    `protected TaxonomyReader` | `taxoReader` | Deprecated. `TaxonomyReader` provided to the constructor.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TaxonomyFacets​(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config)` | Deprecated. Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `childrenLoaded()` | Deprecated. Returns true if the (costly, and lazily initialized) children int[] was initialized.
    `List<FacetResult>` | `getAllDims​(int topN)` | Deprecated. Returns topN labels for any dimension that had hits, sorted by the number of hits that dimension matched; this is used for "sparse" faceting, where many different dimensions were indexed, for example depending on the type of document.
    `boolean` | `siblingsLoaded()` | Deprecated. Returns true if the (costly, and lazily initialized) sibling int[] was initialized.
    `protected FacetsConfig.DimConfig` | `verifyDim​(String dim)` | Deprecated. Verifies and returns `FacetsConfig.DimConfig` for the given dimension name.

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `getAllChildren, getSpecificValue, getTopChildren, getTopDims, validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexFieldName

          protected final String indexFieldName

      Deprecated.
      Index field name provided to the constructor.

    - #### taxoReader

          protected final TaxonomyReader taxoReader

      Deprecated.
      `TaxonomyReader` provided to the constructor.

    - #### config

          protected final FacetsConfig config

      Deprecated.
      `FacetsConfig` provided to the constructor.

  - ### Constructor Detail

    - #### TaxonomyFacets

          protected TaxonomyFacets​(String indexFieldName,
                                   TaxonomyReader taxoReader,
                                   FacetsConfig config)
                            throws IOException

      Deprecated.
      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### childrenLoaded

          public boolean childrenLoaded()

      Deprecated.
      Returns true if the (costly, and lazily initialized) children int[] was initialized.
      WARNING: This API is experimental and might change in incompatible ways in the next release.

    - #### siblingsLoaded

          public boolean siblingsLoaded()

      Deprecated.
      Returns true if the (costly, and lazily initialized) sibling int[] was initialized.
      WARNING: This API is experimental and might change in incompatible ways in the next release.

    - #### verifyDim

          protected FacetsConfig.DimConfig verifyDim​(String dim)

      Deprecated.
      Verifies and returns `FacetsConfig.DimConfig` for the given dimension name.
      Returns:
        `FacetsConfig.DimConfig` for the given dim, or `FacetsConfig.DEFAULT_DIM_CONFIG` if it was never manually configured.
      Throws:
        `IllegalArgumentException` - if the provided dimension was manually configured, but its `FacetsConfig.DimConfig.indexFieldName` does not match `indexFieldName`.

    - #### getAllDims

          public List<FacetResult> getAllDims​(int topN)
                                       throws IOException

      Deprecated.
      Description copied from class: `Facets`
      Returns topN labels for any dimension that had hits, sorted by the number of hits that dimension matched; this is used for "sparse" faceting, where many different dimensions were indexed, for example depending on the type of document.
      Specified by:
        `getAllDims` in class `Facets`
      Throws:
        `IOException`